Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.events
Interface MutationEvent

All Superinterfaces:
  Event

All Known Subinterfaces:
  MutationNameEvent

All Known Implementing Classes:
  DOMMutationEvent, DOMMutationNameEvent

    public interface MutationEvent

extends Event

The `MutationEvent` interface provides specific contextual information associated with Mutation events.

To create an instance of the `MutationEvent` interface, use the `DocumentEvent.createEvent("MutationEvent")` method call.

See also the Document Object Model (DOM) Level 3 Events Specification .

Since:
  DOM Level 2

Field Summary
`static short` | `ADDITION` The `Attr` was just added.
`static short` | `MODIFICATION` The `Attr` was modified in place.
`static short` | `REMOVAL` The `Attr` was just removed.

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`short` | `getAttrChange()` `attrChange` indicates the type of change which triggered the DOMAttrModified event.
`String` | `getAttrName()` `attrName` indicates the name of the changed `Attr` node in a DOMAttrModified event.
`String` | `getNewValue()` `newValue` indicates the new value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharacterDataModified events.
`String` | `getPrevValue()` `prevValue` indicates the previous value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharacterDataModified events.
`Node` | `getRelatedNode()` `relatedNode` is used to identify a secondary node related to a mutation event.
`void` | `initMutationEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, String prevValueArg, String newValueArg, String attrNameArg, short attrChangeArg)` The `initMutationEvent` method is used to initialize the value of a `MutationEvent` object and has the same behavior as `Event.initEvent()`.
`void` | `initMutationEventNS(String namespaceURI, String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, String prevValueArg, String newValueArg, String attrNameArg, short attrChangeArg)` The `initMutationEventNS` method is used to initialize the value of a `MutationEvent` object and has the same behavior as `Event.initEventNS()`.

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Field Detail

### MODIFICATION

    static final short MODIFICATION

  The `Attr` was modified in place.

  See Also:
    Constant Field Values

### ADDITION

    static final short ADDITION

  The `Attr` was just added.

  See Also:
    Constant Field Values

### REMOVAL

    static final short REMOVAL

  The `Attr` was just removed.

  See Also:
    Constant Field Values

Method Detail

### getRelatedNode

    Node getRelatedNode()

  `relatedNode` is used to identify a secondary node related to a mutation event. For example, if a mutation event is dispatched to a node indicating that its parent has changed, the `relatedNode` is the changed parent. If an event is instead dispatched to a subtree indicating a node was changed within it, the `relatedNode` is the changed node. In the case of the DOMAttrModified event it indicates the `Attr` node which was modified, added, or removed.

### getPrevValue

    String getPrevValue()

  `prevValue` indicates the previous value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharacterDataModified events.

### getNewValue

    String getNewValue()

  `newValue` indicates the new value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharacterDataModified events.

### getAttrName

    String getAttrName()

  `attrName` indicates the name of the changed `Attr` node in a DOMAttrModified event.

### getAttrChange

    short getAttrChange()

  `attrChange` indicates the type of change which triggered the DOMAttrModified event. The values can be `MODIFICATION` , `ADDITION`, or `REMOVAL`.

### initMutationEvent

    void initMutationEvent(String typeArg,
                           boolean canBubbleArg,
                           boolean cancelableArg,
                           Node relatedNodeArg,
                           String prevValueArg,
                           String newValueArg,
                           String attrNameArg,
                           short attrChangeArg)

  The `initMutationEvent` method is used to initialize the value of a `MutationEvent` object and has the same behavior as `Event.initEvent()`.

  Parameters:
    `typeArg` - Refer to the `Event.initEvent()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `Event.initEvent()` method for a description of this parameter.
    `cancelableArg` - Refer to the `Event.initEvent()` method for a description of this parameter.
    `relatedNodeArg` - Specifies `MutationEvent.relatedNode` .
    `prevValueArg` - Specifies `MutationEvent.prevValue`. This value may be null.
    `newValueArg` - Specifies `MutationEvent.newValue`. This value may be null.
    `attrNameArg` - Specifies `MutationEvent.attrname`. This value may be null.
    `attrChangeArg` - Specifies `MutationEvent.attrChange`. This value may be null.

### initMutationEventNS

    void initMutationEventNS(String namespaceURI,
                             String typeArg,
                             boolean canBubbleArg,
                             boolean cancelableArg,
                             Node relatedNodeArg,
                             String prevValueArg,
                             String newValueArg,
                             String attrNameArg,
                             short attrChangeArg)

  The `initMutationEventNS` method is used to initialize the value of a `MutationEvent` object and has the same behavior as `Event.initEventNS()`.

  Parameters:
    `namespaceURI` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `typeArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `relatedNodeArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `prevValueArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `newValueArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `attrNameArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `attrChangeArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
  Since:
    DOM Level 3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.